<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.sysarea.mapper.SysAreaMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="sysAreaResultMap" type="org.springblade.modules.guosen.sysarea.entity.SysArea">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="code" property="code"/>
        <result column="parent_code" property="parentCode"/>
        <result column="name" property="sName"/>
        <result column="short_name" property="shortName"/>
        <result column="traditional_name" property="traditionalName"/>
        <result column="english_name" property="englishName"/>
        <result column="merger_name" property="mergerName"/>
        <result column="layer_number" property="layerNumber"/>
        <result column="zip_code" property="zipCode"/>
        <result column="city_code" property="cityCode"/>
        <result column="pinyin" property="pinyin"/>
        <result column="lat" property="lat"/>
        <result column="lng" property="lng"/>
        <result column="first_letter" property="firstLetter"/>
    </resultMap>


    <select id="selectSysAreaPage" resultMap="sysAreaResultMap">
        select * from cyzh_sys_area where is_deleted = 0
    </select>

</mapper>
